Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Path Parameters

index_uid
string
required

Unique identifier of the index.

Body

application/json

The new value for the filterableAttributes setting. Send null to reset it to its default value.

A rule declaring which attributes can be used for filtering and faceting.

A rule takes one of two forms. The object form lists attribute patterns together with the filtering and faceting features they enable. The string form names a single attribute and is a shorthand for an object matching that attribute with the default features.

attributePatterns
string[]
required

Patterns to match attribute names. Use * as a wildcard to match any characters. For example, ["price_*", "stock"] matches price_usd, price_eur, and stock.

features
object

The filtering and faceting features enabled for attributes matching these patterns. If not specified, defaults to equality filtering enabled.

Example:

Response

Task successfully enqueued.

A summarized view of a task, returned when a task is enqueued

taskUid
integer<u-int32>
required

Unique sequential identifier of the task.

Required range: x >= 0
status
enum<string>
required

Status of the task. Possible values are enqueued, processing, succeeded, failed, and canceled.

Available options:
enqueued,
processing,
succeeded,
failed,
canceled
Example:

"processing"

type
enum<string>
required

Type of operation performed by the task.

Available options:
documentAdditionOrUpdate,
documentEdition,
documentDeletion,
settingsUpdate,
indexCreation,
indexDeletion,
indexUpdate,
indexSwap,
taskCancelation,
taskDeletion,
dumpCreation,
snapshotCreation,
export,
upgradeDatabase,
indexCompaction,
networkTopologyChange,
dsrUpdate,
dsrClear
Example:

"documentAdditionOrUpdate"

enqueuedAt
string<date-time>
required

Date and time when the task was enqueued.

indexUid
string | null

Unique identifier of the targeted index. Null for global tasks.

customMetadata
string | null

Custom metadata attached to this task at creation. Use it to associate tasks with external systems or add application-specific information.